<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class c_template_penetapan extends CI_Controller {

    function index() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); 
        }
    }

    function popup_penetapan_majelis_hakim_pid(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $segment = $this->uri->segment_array();        
        $data['enc']=$this->uri->segment('3'); 
        $data['enc_popup']=$this->uri->segment('4');

        $this->load->model('generate_template/m_template_penetapan','template');
        $data['penandatangan']=$this->template->getDataPN();
        //print_r($data['penandatangan']->result());exit();
		foreach ($data['penandatangan']->result() as $config){
			  $data['plhKetua'] =$config->PlhKetua;
			  $data['pltKetua'] =$config->PltKetua;
			  $data['PansekPNNama'] =$config->PansekPNNama;
			  $data['WaPanNama'] =$config->WaPanNama;
			  $data['plhPanitera'] =$config->PlhPanitera;
			  $data['pltPanitera'] =$config->PltPanitera;
		}
		
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');                
        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($this->encrypt->decode(base64_decode($data['enc'])));
        $data['jnsperkara'] = $this->template->getNamaAlur($alur_perkara_id);
        $data['alur'] = 200;
        if($data['enc_popup']==1)       
    		$data['judul']= 'PENETAPAN MAJELIS HAKIM/HAKIM';
    	elseif($data['enc_popup']==2)
    		$data['judul']= 'PENETAPAN KEMBALI MAJELIS HAKIM/HAKIM';
        elseif($data['enc_popup']==3)
            $data['judul']= 'PENUNJUKAN PANITERA PENGGANTI';
        elseif($data['enc_popup']==4)
            $data['judul']= 'PENUNJUKAN KEMBALI PANITERA PENGGANTI';
    	elseif ($data['enc_popup']==5) {
    		$data['judul']= 'PENUNJUKAN JURUSITA/JURUSITA PENGGANTI';
    	}
    	$this->load->view('generate_template/umum/penetapan/popup_penetapan_majelis_hakim_pid', $data, FALSE);       
        
    }    

    function cetak_penetapan_majelis_hakim_pid(){  
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $enc_popup = $this->input->post('enc_popup',TRUE);           
        $data['ditetapkanoleh'] = $this->input->post('ditetapkanoleh',TRUE);
        
        $jenis_perkara = $this->tanggalhelper->getIDJenisPerkara($idperkara);
        // echo $jenis_perkara;exit();
        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($idperkara);
        if($jenis_perkara==140){
            if($enc_popup==1 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_MAJELIS_HAKIM_G_BPSK.rtf';
            if($enc_popup==2 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_KEMBALI_MAJELIS_HAKIM_G_BPSK.rtf';
            if($enc_popup==3)
            	$filenya = 'peradilan_umum/perdata/penetapan/PEN_PP_PDT_G_BPSK.rtf';
            if($enc_popup==4 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_KEMBALI_PP_PDT_G_BPSK.rtf';
            if($enc_popup==5 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_JURUSITA_PDT_G_BPSK.rtf';
        }elseif($jenis_perkara==623){
            if($enc_popup==1 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_MAJELIS_HAKIM_G_KIP.rtf'; 
            if($enc_popup==2 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_KEMBALI_MAJELIS_HAKIM_G_KIP.rtf';
            if($enc_popup==3 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_PP_PDT_G_KIP.rtf'; 
            if($enc_popup==4 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_KEMBALI_PP_PDT_G_KIP.rtf';
            if($enc_popup==5 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_JURUSITA_PDT_G_KIP.rtf'; 
        }elseif($jenis_perkara==141){
            if($enc_popup==1 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_MAJELIS_HAKIM_G_PARPOL.rtf';
            if($enc_popup==2 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_KEMBALI_MAJELIS_HAKIM_G_PARPOL.rtf';
            if($enc_popup==3 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_PP_PDT_G_PARPOL.rtf';
            if($enc_popup==4 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_KEMBALI_PP_PDT_G_PARPOL.rtf';
            if($enc_popup==5 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_JURUSITA_PDT_G_PARPOL.rtf';
        }elseif($jenis_perkara==139){
            if($enc_popup==1 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_MAJELIS_HAKIM_G_KPPU.rtf';
            elseif($enc_popup==2 && ($alur_perkara_id==1||$alur_perkara_id==7))        
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_KEMBALI_MAJELIS_HAKIM_G_KPPU.rtf';
            if($enc_popup==3 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_PP_PDT_G_KPPU.rtf';
            if($enc_popup==4 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_KEMBALI_PP_PDT_G_KPPU.rtf';
            if($enc_popup==5 && ($alur_perkara_id==1||$alur_perkara_id==7))
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_JURUSITA_PDT_G_KPPU.rtf';
        }elseif($enc_popup==1 && $jenis_perkara!=140 && $jenis_perkara!=623 && $jenis_perkara!=141 && $jenis_perkara!=139){
            if($alur_perkara_id==1||$alur_perkara_id==7)
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_MAJELIS_HAKIM_G.rtf';
            elseif($alur_perkara_id==2)
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_MAJELIS_HAKIM_PERMOHONAN.rtf';
            elseif($alur_perkara_id==8||$alur_perkara_id==17)
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_MAJELIS_HAKIM_GS.rtf';
        	elseif($alur_perkara_id==111||$alur_perkara_id==112)
	        	$filenya = 'peradilan_umum/pidana/penetapan/2_4_PEN_MAJELIS_HAKIM.rtf';
	        elseif($alur_perkara_id==113)
	        	$filenya = 'peradilan_umum/pidana/penetapan/2_3_PEN_HAKIM_PIDANA_CEPAT.rtf';
	        elseif($alur_perkara_id==114)
	        	$filenya = 'peradilan_umum/pidana/penetapan/2_4_PEN_MAJELIS_HAKIM_TILANG.rtf';
	        elseif($alur_perkara_id==115)
	        	$filenya = 'peradilan_umum/pidana/penetapan/2_4_PEN_MAJELIS_HAKIM_TIPIKOR.rtf';
	        elseif($alur_perkara_id==116)
	        	$filenya = 'peradilan_umum/pidana/penetapan/2_4_PEN_MAJELIS_HAKIM_PERIKANAN.rtf';
	        elseif($alur_perkara_id==117)
	        	$filenya = 'peradilan_umum/pidana/penetapan/2_4_PEN_MAJELIS_HAKIM_HAM.rtf';
	        elseif($alur_perkara_id==118)
	        	$filenya = 'peradilan_umum/pidana/penetapan/2_4_PEN_MAJELIS_HAKIM_ANAK.rtf';
            elseif($alur_perkara_id==119)
                $filenya = 'peradilan_umum/pidana/penetapan/2_2_PEN_HAKIM_PRA_TANPA_KUASA.rtf';
        }elseif($enc_popup==2 && $jenis_perkara!=140 && $jenis_perkara!=623 && $jenis_perkara!=141 && $jenis_perkara!=139){
            if($alur_perkara_id==1||$alur_perkara_id==7)
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_KEMBALI_MAJELIS_HAKIM_G.rtf';
            elseif($alur_perkara_id==2)
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_KEMBALI_MAJELIS_HAKIM_PERMOHONAN.rtf';
            elseif($alur_perkara_id==8||$alur_perkara_id==17)
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_KEMBALI_MAJELIS_HAKIM_GS.rtf';
        	elseif($alur_perkara_id>=111 && $alur_perkara_id<=113)
        		$filenya = 'peradilan_umum/pidana/penetapan/2_5_PEN_GANTI_MAJELIS_HAKIM.rtf';
        	elseif($alur_perkara_id==115)
	        	$filenya = 'peradilan_umum/pidana/penetapan/2_5_PEN_GANTI_MAJELIS_HAKIM_TIPIKOR.rtf';
        	elseif($alur_perkara_id==116)
	        	$filenya = 'peradilan_umum/pidana/penetapan/2_5_PEN_GANTI_MAJELIS_HAKIM_PERIKANAN.rtf';
        	elseif($alur_perkara_id==117)
	        	$filenya = 'peradilan_umum/pidana/penetapan/2_5_PEN_GANTI_MAJELIS_HAKIM_HAM.rtf';
        	elseif($alur_perkara_id==118)
	        	$filenya = 'peradilan_umum/pidana/penetapan/2_5_PEN_GANTI_MAJELIS_HAKIM_ANAK.rtf';
        }elseif($enc_popup==3 && $jenis_perkara!=140 && $jenis_perkara!=623 && $jenis_perkara!=141 && $jenis_perkara!=139){
            if($alur_perkara_id==1||$alur_perkara_id==7)
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_PDT_G_PP.rtf';
            elseif($alur_perkara_id==2)
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_PDT_P_PP.rtf';
            elseif($alur_perkara_id==8||$alur_perkara_id==17)
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_PDT_GS_PP.rtf';
            elseif($alur_perkara_id==111||$alur_perkara_id==112||$alur_perkara_id==113)
                $filenya = 'peradilan_umum/pidana/penetapan/3_1_PEN_PP_PIDANA.rtf';        
            elseif($alur_perkara_id==115)
                $filenya = 'peradilan_umum/pidana/penetapan/3_1_PEN_PP_PIDANA_TIPIKOR.rtf';        
            elseif($alur_perkara_id==116)
                $filenya = 'peradilan_umum/pidana/penetapan/3_1_PEN_PP_PIDANA_PERIKANAN.rtf';
            elseif($alur_perkara_id==117)
                $filenya = 'peradilan_umum/pidana/penetapan/3_1_PEN_PP_PIDANA_HAM.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/penetapan/3_1_PEN_PP_PIDANA_ANAK.rtf';
        }elseif($enc_popup==4 && $jenis_perkara!=140 && $jenis_perkara!=623 && $jenis_perkara!=141 && $jenis_perkara!=139){
        	if($alur_perkara_id==1||$alur_perkara_id==7)
        		$filenya = 'peradilan_umum/perdata/penetapan/PEN_PDT_G_KEMBALI_PP.rtf';
        	elseif($alur_perkara_id==2)
        		$filenya = 'peradilan_umum/perdata/penetapan/PEN_PDT_G_KEMBALI_PP.rtf';
        	elseif($alur_perkara_id==8||$alur_perkara_id==17)
        		$filenya = 'peradilan_umum/perdata/penetapan/PEN_PDT_GS_KEMBALI_PP.rtf';
        	elseif($alur_perkara_id==111||$alur_perkara_id==112||$alur_perkara_id==113)
        		$filenya = 'peradilan_umum/pidana/penetapan/3_1_PEN_KEMBALI_PP_PIDANA.rtf';
        	elseif($alur_perkara_id==115)
        		$filenya = 'peradilan_umum/pidana/penetapan/3_1_PEN_KEMBALI_PP_PIDANA_TIPIKOR.rtf';
        	elseif($alur_perkara_id==116)
        		$filenya = 'peradilan_umum/pidana/penetapan/3_1_PEN_KEMBALI_PP_PIDANA_PERIKANAN.rtf';
        	elseif($alur_perkara_id==117)
        		$filenya = 'peradilan_umum/pidana/penetapan/3_1_PEN_KEMBALI_PP_PIDANA_HAM.rtf';
            elseif($alur_perkara_id==118)
                $filenya = 'peradilan_umum/pidana/penetapan/3_1_PEN_KEMBALI_PP_PIDANA_ANAK.rtf';
    	}elseif($enc_popup==5 && $jenis_perkara!=140 && $jenis_perkara!=623 && $jenis_perkara!=141 && $jenis_perkara!=139){
        	if($alur_perkara_id==1||$alur_perkara_id==7)
        		$filenya = 'peradilan_umum/perdata/penetapan/PEN_PDT_G_JURUSITA.rtf';
            elseif($alur_perkara_id==2)
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_PDT_P_JURUSITA.rtf';
        	elseif($alur_perkara_id==8||$alur_perkara_id==17)
                $filenya = 'peradilan_umum/perdata/penetapan/PEN_PDT_GS_JURUSITA.rtf';
        	elseif($alur_perkara_id>=111)
        		$filenya = 'peradilan_umum/pidana/penetapan/3_2_PEN_PID_JURUSITA.rtf';        
        }
        
        $data_id= array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,
                    'ditetapkan_oleh'=>$data['ditetapkanoleh']);   
                            
        $this->load->model('generate_template/var_template','var_template');
        // print_r($data_id);exit();
        $this->var_template->kirim_variabel($data_id);                
    }    

    function popup_penetapan_penunjukan_pp(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $this->load->model('generate_template/m_template_penetapan','template');
        $data['penandatangan']=$this->template->getDataPN();

        $data['judul']= 'PENUNJUKAN PANITERA PENGGANTI';
        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($this->encrypt->decode(base64_decode($data['enc'])));
        $data['jnsperkara'] = $this->template->getNamaAlur($alur_perkara_id);        

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $data['template']=$this->template2->getDataDocumentTemplate('111','12','30','1','');
        $this->load->view('generate_template/popup_penetapan_penunjukan_pp', $data, FALSE);
    }
    
    function cetak_penetapan_penunjukan_pp(){  
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }          

        $this->load->model('generate_template/m_template_penetapan','template');
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapengadilan'] = $this->template->getDataPN();
        $data['dataterdakwa'] = $this->template->getDataTerdakwa($idperkara);
        $data['datapenetapanpanitera']=$this->template->getDataPenetapanPanitera($idperkara);
        $data['datapenetapanhakim']=$this->template->getDataPenetapanHakim($idperkara);

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $data['template']=$this->template2->getDataDocumentTemplate('111','12','30','1','');        

        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($idperkara);
        if($alur_perkara_id==111||$alur_perkara_id==112||$alur_perkara_id==113||$alur_perkara_id==119)
        	$filenya = 'peradilan_umum/pidana/penetapan/3_1_PEN_PP_PIDANA.rtf';
        
        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,
                    'ditetapkan_oleh'=>$this->input->post('ditetapkanoleh',TRUE));   
                            
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);
    }

    function popup_phs_pidana(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $segment = $this->uri->segment_array();        
        $data['enc']=$this->uri->segment('3');
        $data['enc_phs']=$this->uri->segment('4');
        $this->load->model('generate_template/m_template_penetapan','template');                                
        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($this->encrypt->decode(base64_decode($data['enc'])));
        $data['jnsperkara'] = $this->template->getNamaAlur($alur_perkara_id);        
        $data['judul']= 'PENETAPAN HARI SIDANG PERTAMA';
        $this->load->model('generate_template/m_template_berita_acara','template2');
        $perkara = $this->template2->data_perkara($this->encrypt->decode(base64_decode($data['enc'])));
        foreach ($perkara->result() as $row){
            $data['nomor_perkara'] = $row->nomor_perkara;           
        }        
        $this->load->view('generate_template/umum/penetapan/popup_phs_pidana_anak', $data, FALSE);       
        
    }

    function cetak_sidang_pertama() {      
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $segment = $this->uri->segment_array();
        $data['enc'] = $segment[3];
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $enc_phs = $segment[4]; 
        $id_phs=$this->encrypt->decode(base64_decode($enc_phs));
        if(!is_numeric($id_phs) OR !intval($id_phs)>0){
            show_404();
            exit();
        }       

        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($idperkara);
        if($alur_perkara_id==111||$alur_perkara_id==112||$alur_perkara_id==113)
            $filenya = 'peradilan_umum/pidana/penetapan/4_1_PEN_HARI_SIDANG_PERTAMA.rtf';
        elseif($alur_perkara_id==115)
            $filenya = 'peradilan_umum/pidana/penetapan/4_1_PEN_HARI_SIDANG_PERTAMA_TIPIKOR.rtf';
        elseif($alur_perkara_id==116)
            $filenya = 'peradilan_umum/pidana/penetapan/4_1_PEN_HARI_SIDANG_PERTAMA_PERIKANAN.rtf';
        elseif($alur_perkara_id==117)
            $filenya = 'peradilan_umum/pidana/penetapan/4_1_PEN_HARI_SIDANG_PERTAMA_HAM.rtf';        
        elseif($alur_perkara_id==1||$alur_perkara_id==7)
            $filenya = 'peradilan_umum/perdata/penetapan/PHS_PDT_G.rtf';
        elseif($alur_perkara_id==2)
            $filenya = 'peradilan_umum/perdata/penetapan/PHS_PDT_P.rtf';
        elseif($alur_perkara_id==8||$alur_perkara_id==17)
            $filenya = 'peradilan_umum/perdata/penetapan/PHS_PDT_GS.rtf';
        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,
                    'id_phs'=>$id_phs);   
        
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);  
    }
    

    

    function cetak_sidang_pertama_anak() {      
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $enc_phs=$this->input->post('enc_phs',TRUE);
        $id_phs=$this->encrypt->decode(base64_decode($enc_phs));
        if(!is_numeric($id_phs) OR !intval($id_phs)>0){
            show_404();
            exit();
        }
        $jenis_phs = $this->input->post('form_keterangan_ph',TRUE);        
        if($jenis_phs==1)
            $filenya = 'peradilan_umum/pidana/penetapan/4_1_PEN_HARI_SIDANG_PERTAMA_PID_ANAK.rtf';
        elseif($jenis_phs==2)
            $filenya = 'peradilan_umum/pidana/penetapan/4_1_PHS_DIVERSI_TDK_BERHASIL.rtf';
        elseif($jenis_phs==3)
            $filenya = 'peradilan_umum/pidana/penetapan/4_1_PHS_DIVERSI_TDK_DILAKSANAKAN.rtf';
        elseif($jenis_phs==4)
            $filenya = 'peradilan_umum/pidana/penetapan/4_1_PHS_TDK_SEPAKAT_DIVERSI.rtf';
        
        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,
                    'id_phs'=>$id_phs);   
                          
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);  
    }

    function cetak_penetapan_diversi() {      
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $segment = $this->uri->segment_array();
        $data['enc'] = $segment[3];
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }        
        
        $data_id=array(
                    'source_file'=>'peradilan_umum/pidana/penetapan/PEN_HARI_PELAKSANAAN_MUSYAWARAH_DIVERSI.rtf',
                    'perkara_id'=>$idperkara);   
                            
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);  
    }

    function cetak_sidang_pertama_penuntut_tdk_hadir() {      
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $segment = $this->uri->segment_array();
        $data['enc'] = $segment[3];
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }       

        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($idperkara);
        if($alur_perkara_id==111||$alur_perkara_id==112)
            $filenya = 'peradilan_umum/pidana/penetapan/4_2_PEN_HSP_PENUNTUT_TIDAK_HADIR.rtf';
        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara);   
                            
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);  
    }

    function cetak_penetapan_majelis_pk() {      
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $segment = $this->uri->segment_array();
        $data['enc'] = $segment[3];
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }       

        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($idperkara);
        if($alur_perkara_id==111)
            $filenya = 'peradilan_umum/pidana/penetapan/2_5_PEN_MAJELIS_HAKIM_PK.rtf';
        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara);   
                            
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);      
    }

    function cetak_phs_pk() {      
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $segment = $this->uri->segment_array();
        $data['enc'] = $segment[3];
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }       

        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($idperkara);
        if($alur_perkara_id==111)
            $filenya = 'peradilan_umum/pidana/penetapan/4_3_PEN_HARI_SIDANG_PK.rtf';
        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara);   
                            
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);        
    }

    function cetak_penetapan_gugur_praperadilan() {      
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $segment = $this->uri->segment_array();
        $data['enc'] = $segment[3];
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }       
        
        $data_id=array(
                    'source_file'=>'peradilan_umum/pidana/penetapan/5_1_PEN_PRAPERDAILAN_GUGUR.rtf',
                    'perkara_id'=>$idperkara);   
                            
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);        
    }

    function popup_penetapan_kpn_perkara_tidak_termasuk_wewenangnya() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $this->load->model('generate_template/m_template_penetapan','template');
        $data['penandatangan']=$this->template->getDataPN();
        $data['curr_date'] = date('d/m/Y');
        $data['tglPendaftaran']=$this->template->getDataPerkara($idperkara)->row()->tanggal_pendaftaran;
        
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $data['template']=$this->template2->getDataDocumentTemplate('111','10','10','10','');
        $this->load->view('generate_template/umum/penetapan/popup_pen_1_1', $data, FALSE);
    }

    function cetak_penetapan_kpn_perkara_tidak_termasuk_wewenangnya() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }
        $data['enc']=$this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }           
        $ditetapkan_oleh    = $this->input->post('ditetapkanoleh',TRUE);
        $wewenang           = $this->input->post('wewenang',TRUE);
        $tgl_penetapan      = $this->input->post('tgl_penetapan',TRUE);
        
        $this->load->model('generate_template/m_template_penetapan','template');
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapengadilan'] = $this->template->getDataPN();
        $data['dataterdakwa'] = $this->template->getDataTerdakwa($idperkara);
        $data['datapenetapanhakim']=$this->template->getDataPenetapanHakim($idperkara);
        

        # tri edited 30 May 2016

        $tanggal_penetapan = $this->tanggalhelper->convertToMysqlDate($tgl_penetapan);
        $alur_perkara_id = $this->tanggalhelper->getIDAlurPerkara($idperkara);
        $jenis_pengadilan = $this->session->userdata('jenis_pengadilan');
        if($alur_perkara_id<100 AND $jenis_pengadilan==1)
            $status_putusan_id = 80;
        elseif($alur_perkara_id<100 AND $jenis_pengadilan==3)
            $status_putusan_id = 81;
        elseif($alur_perkara_id>100 AND $jenis_pengadilan==1)
            $status_putusan_id = 79;
        elseif($alur_perkara_id>100 AND $jenis_pengadilan==1 AND $alur_perkara_id!=119)
            $status_putusan_id = 82;
        elseif($jenis_pengadilan==1 AND $alur_perkara_id==119)
            $status_putusan_id = 83;

        if($data['datapengadilan']!=''){
            if($data['datapengadilan']->num_rows()>0){
                $nama_pengadilan = ucwords($data['datapengadilan']->row()->NamaPN);
            }
        }

        $data_putusan_terdakwa = array();
        if($data['dataterdakwa']!=''){
            if($data['dataterdakwa']->num_rows()>0){
                $i = 0;
                foreach ($data['dataterdakwa']->result() as $row) {
                    $data_putusan_terdakwa[$i] = array(
                        'pihak2_id' =>$row->id,
                        'perkara_id' =>$row->perkara_id,
                        'pihak_id' =>$row->pihak_id,
                        'tanggal_putusan' =>$tanggal_penetapan,
                        'status_putusan_id' =>$status_putusan_id,
                        'status_putusan_text' =>'Pengadilan Tidak Berwenang',
                        'diinput_oleh' => $this->session->userdata('username'),
                        'diinput_tanggal' => date("Y-m-d h:i:s",time())
                        );
                    if($row->urutan==1){
                        $nama_terdakwa = $row->nama;
                    }
                }
                $nama_pengadilan = $data['datapengadilan']->row()->NamaPN;
                if($data['dataterdakwa']->num_rows()>1){
                    $nama_terdakwa = $nama_terdakwa.' dkk';
                    $terdakwa_para = 'Para Terdakwa';
                }else{
                    $terdakwa_para = 'Terdakwa';
                }
            }
        }

        
        $amar_text = '<p ><strong>MENETAPKAN:</strong></p>
                        <ol>
                         <li >Menyatakan '.$nama_pengadilan.' tidak berwenang mengadili perkara '.$terdakwa_para .' '.$nama_terdakwa.';</li>
                         <li >Memerintahkan mengembalikan surat pelimpahan perkara kepada Penuntut Umum;</li>
                         <li >Memerintahkan salinan penetapan ini disampaikan kepada '.$terdakwa_para.' atau Penasihat Hukumnya dan Penyidik.</li>
                        </ol>';
        
        $data_putusan = array(
            'perkara_id' => $idperkara,
            'putusan_verstek' => 'T',
            'tanggal_putusan' => $this->tanggalhelper->convertToMysqlDate($tgl_penetapan),
            'status_putusan_id' => $status_putusan_id,
            'status_putusan_nama' => 'Pengadilan Tidak Berwenang',
            'status_putusan_text' => 'Pengadilan Tidak Berwenang',
            'amar_putusan' => $amar_text,
            'diinput_oleh' => $this->session->userdata('username'),
            'diinput_tanggal' => date("Y-m-d h:i:s",time())
        );

        
        $this->template->add_data_putusan_akhir_tidak_berwenang($data_putusan);
        if($alur_perkara_id>100 AND $alur_perkara_id!=119)
            $this->template->add_putusan_tedakwa($data_putusan_terdakwa);

        #### batas edit
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $data['template']=$this->template2->getDataDocumentTemplate('111','10','10','10','');

        $data_id=array(
                    'source_file'=>'peradilan_umum/pidana/penetapan/1_1_PEN_TIDAK_BERWENANG.rtf',
                    'perkara_id'=>$idperkara,
                    'ditetapkan_oleh'=>$ditetapkan_oleh,
                    'kewenangan'=>$wewenang,
                    'tgl_penetapan'=>$tgl_penetapan);   
                            
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);
        
    }

    function popup_penetapan_hakim_pidana_cepat(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }   
        $this->load->model('generate_template/m_template_penetapan','template');
        $data['penandatangan']=$this->template->getDataPN();
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $template=$this->template2->getDataDocumentTemplate('113','12','20','1','');
        $i=0;
        $jumdata=count($template->result());
        foreach ($template->result() as $template){
            if ($jumdata=='1'){
                $judul['0']=$template->namatemplate;
                $jnsperkara=$template->jnsperkara;
            }else{
                if ($i=='0'){
                    $judul=$template->namatemplate;
                    $judul=explode("",$judul);
                    $jnsperkara=$template->jnsperkara;
                }
            }
        }

        $data['judul']=$judul['0'];
        //$data['judul']=""; //override
        $data['jnsperkara']=$jnsperkara;
        $this->load->view('generate_template/popup_penetapan_hakim_pidana_cepat', $data, FALSE);
    }

    function cetak_penetapan_hakim_pidana_cepat(){  
        if(empty($_POST)){
            show_404();
        }
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }           
        $data['ditetapkanoleh'] = $this->input->post('ditetapkanoleh',TRUE);
        if(!is_numeric($data['ditetapkanoleh']) OR !intval($data['ditetapkanoleh'])>0){
            show_404();
            exit();
        }           
        if($data['ditetapkanoleh']==-1){
            echo json_encode(array('st'=>0,'msg'=>'Error:<br />Pembuat Penetapan Belum Terpilih.'));
            return;
        }

        $this->load->model('generate_template/m_template_penetapan','template');
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapengadilan'] = $this->template->getDataPN();
        $data['dataterdakwa'] = $this->template->getDataTerdakwa($idperkara);
        $data['datapenetapanhakim']=$this->template->getDataPenetapanHakim($idperkara);

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
         
        $data['template']=$this->template2->getDataDocumentTemplate('113','12','20','1','');
        
        $this->load->view('generate_template/cetak_penetapan_pidana_cepat_hakim',$data,FALSE);
    }

    function cetak_penetapan_penahanan_hakim_pn(){
       if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $segment = $this->uri->segment_array();

        $data['enc'] = $segment[3];
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['enctahan']=$segment[4];
        $data['encpihak']=$segment[5];
        $idpihak=$this->encrypt->decode(base64_decode($data['encpihak']));
        if(!is_numeric($idpihak) OR !intval($idpihak)>0){
            show_404();
            exit();
        }
        
        $this->load->model('generate_template/m_template_penetapan','template');
        $data['datapengadilan'] = $this->template->getDataPN();
        $data['datapenetapanhakim']=$this->template->getDataPenetapanHakim($idperkara);
        $data['dataterdakwa'] = $this->template->getDataPihakTerdakwa1($idperkara,$idpihak);
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapenahanan'] = $this->template->getDataPenahananTerdakwa($idperkara,$idpihak);
        $data['data_hakim']=$this->template->getDataHakim($idperkara);

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','2','');
        $this->load->view('generate_template/cetak_penetapan_penahanan_hakim_pn',$data,FALSE);
    }    

    function popup_penetapan_pembantaran_penahanan(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['enctahan']=$this->uri->segment('4');
        $data['encpihak']=$this->uri->segment('5');
        $data['curr_date'] = date('d/m/Y');
        
        $this->load->model('generate_template/m_template_penetapan','template');
        $data['tglPendaftaran']=$this->template->getDataPerkara($idperkara)->row()->tanggal_pendaftaran;        
        
        $this->load->view('generate_template/umum/penetapan/popup_penetapan_pembantaran', $data, FALSE);
    }

    function cetak_penetapan_pembantaran_penahanan() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $idperkara = $this->encrypt->decode(base64_decode($this->input->post('enc',TRUE)));        
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }   
        $penahanan_id = $this->encrypt->decode(base64_decode($this->input->post('enctahan',TRUE)));
        if(!is_numeric($penahanan_id) OR !intval($penahanan_id)>0){
            show_404();
            exit();
        } 
        $pihak_id = $this->encrypt->decode(base64_decode($this->input->post('encpihak',TRUE)));
        if(!is_numeric($pihak_id) OR !intval($pihak_id)>0){
            show_404();
            exit();
        }          
        $tgl_penetapan_pembantaran = $this->input->post('tgl_penetapan',TRUE);

        $data_id=array(
                    'source_file'=>'peradilan_umum/pidana/penetapan/7_3_PEN_PEMBANTARAN_PENAHANAN.rtf',
                    'perkara_id'=>$idperkara,
                    'penahanan_id'=>$penahanan_id,
                    'pihak_id'=>$pihak_id,
                    'tgl_penetapan_pembantaran'=>$tgl_penetapan_pembantaran);   
                            
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);
    } 

    function popup_penetapan_penangguhan(){
         if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['enctahan']=$this->uri->segment('4');
        $data['encpihak']=$this->uri->segment('5');
        $data['jnstmp']=$this->uri->segment('6');
        $data['curr_date'] = date('d/m/Y');

        $this->load->model('generate_template/m_template_penetapan','template');
        $data['tglPendaftaran']=$this->template->getDataPerkara($idperkara)->row()->tanggal_pendaftaran;
      
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');  
        if($data['jnstmp']==1){         
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','5','');
        }elseif($data['jnstmp']==2){            
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','4','');
        }elseif($data['jnstmp']==3){
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','6','');
        }
        $this->load->view('generate_template/umum/penetapan/popup_penetapan_penangguhan', $data, FALSE);  
    }

    function cetak_penetapan_penangguhan() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $idperkara=$this->encrypt->decode(base64_decode($this->input->post('enc',TRUE)));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }

        $penahanan_id = $this->encrypt->decode(base64_decode($this->input->post('enctahan',TRUE)));
        if(!is_numeric($penahanan_id) OR !intval($penahanan_id)>0){
            show_404();
            exit();
        }   

        $pihak_id=$this->encrypt->decode(base64_decode($this->input->post('encpihak',TRUE)));
        if(!is_numeric($pihak_id) OR !intval($pihak_id)>0){
             show_404();
             exit();
        }

        $jenis_tmp=$this->input->post('jnstmp',TRUE);
        if(!is_numeric($jenis_tmp) OR !intval($jenis_tmp)>0){
             show_404();
             exit();
        }

        $tgl_penetapan_penangguhan = $this->input->post('tgl_penetapan',TRUE);

        if($jenis_tmp==1){
            $filenya = 'peradilan_umum/pidana/penetapan/7_4_PEN_PENANGGUHAN_JAMINAN_ORANG.rtf';
        }elseif($jenis_tmp==2){
            $filenya = 'peradilan_umum/pidana/penetapan/7_5_PEN_PENANGGUHAN_JAMINAN_UANG.rtf';
        }else{
            $filenya = 'peradilan_umum/pidana/penetapan/7_6_PEN_PENANGGUHAN_TANPA_JAMINAN.rtf';
        }
        
        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,
                    'penahanan_id'=>$penahanan_id,
                    'pihak_id'=>$pihak_id,
                    'tgl_penetapan_penangguhan'=>$tgl_penetapan_penangguhan);   
                            
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);
    }    


    function popup_penetapan_penahanan_hakim_pn_sedangberjalan(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['enctahan']=$this->uri->segment('4');
        $data['encpihak']=$this->uri->segment('5');
        $data['curr_date'] = date('d/m/Y');

        $this->load->model('generate_template/m_template_penetapan','template');
        $data['tglPendaftaran']=$this->template->getDataPerkara($idperkara)->row()->tanggal_pendaftaran;
        
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','3','');
        $this->load->view('generate_template/popup_penetapan_penahanan_hakim_pn_sedangberjalan', $data, FALSE);  
    }
    
    function cetak_penetapan_penahanan_hakim_pn_sedangberjalan() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc'] = $this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }           
        $data['enctahan'] = $this->input->post('enctahan',TRUE);
        $idpenahanan=$this->encrypt->decode(base64_decode($data['enctahan']));
        if(!is_numeric($idpenahanan) OR !intval($idpenahanan)>0){
             show_404();
             exit();
        }
        $data['encpihak'] = $this->input->post('encpihak',TRUE);
        $idpihak=$this->encrypt->decode(base64_decode($data['encpihak']));
        if(!is_numeric($idpihak) OR !intval($idpihak)>0){
             show_404();
             exit();
         }
        $data['tgl_penetapan'] = $this->input->post('tgl_penetapan',TRUE);

        $this->load->model('generate_template/m_template_penetapan','template');
        $data['datapengadilan'] = $this->template->getDataPN();
        $data['datapenetapanhakim']=$this->template->getDataPenetapanHakim($idperkara);
        $data['dataterdakwa'] = $this->template->getDataPihakTerdakwa1($idperkara,$idpihak);
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapenahanan'] = $this->template->getDataPenahananTerdakwa($idperkara,$idpihak);
        $data['tgl_sejak']=$this->template->getDataPenahanan($idpenahanan)->row()->mulai;
        $data['tgl_sampai']=$this->template->getDataPenahanan($idpenahanan)->row()->sampai;

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','3','');
        
        $this->load->view('generate_template/cetak_penetapan_penahanan_hakim_pn_sedangberjalan',$data,FALSE);
    }         

    function popup_penetapan_penolakan_perpanjangan_tahanan() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['enctahan']=$this->uri->segment('4');
        $data['encpihak']=$this->uri->segment('5');
        $data['jnstmp']=$this->uri->segment('6');
        if(!is_numeric($data['jnstmp']) OR !intval($data['jnstmp'])>0){
            show_404();
            exit();
        }
        $data['curr_date'] = date('d/m/Y');
        
        $this->load->model('generate_template/m_template_penetapan','template');
        $data['penandatangan']=$this->template->getDataPN();
        foreach ($data['penandatangan']->result() as $config){
              $data['plhKetua'] =$config->PlhKetua;
              $data['pltKetua'] =$config->PltKetua;              
        }
        $data['tglPendaftaran']=$this->template->getDataPerkara($idperkara)->row()->tanggal_pendaftaran;
        
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        if ($data['jnstmp']==1){
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','9','');
        }else{
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','10','');          
        }
        $this->load->view('generate_template/popup_penetapan_penolakan_perpanjangan_tahanan', $data, FALSE);          
    }   

    function cetak_penetapan_penolakan_perpanjangan_tahanan() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc'] = $this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['encpihak'] = $this->input->post('encpihak',TRUE);
        $idpihak=$this->encrypt->decode(base64_decode($data['encpihak']));
        if(!is_numeric($idpihak) OR !intval($idpihak)>0){
             show_404();
             exit();
        }
        $data['jnstmp'] = $this->input->post('jnstmp',TRUE);
        $data['tgl_penetapan'] = $this->input->post('tgl_penetapan',TRUE);
        $data['ttd_penetapan'] = $this->input->post('ditetapkanoleh',TRUE);
        
        $this->load->model('generate_template/m_template_penetapan','template');
        $data['datapengadilan'] = $this->template->getDataPN();
        $data['datapenetapanhakim']=$this->template->getDataPenetapanHakim($idperkara);
        $data['dataterdakwa'] = $this->template->getDataPihakTerdakwa1($idperkara,$idpihak);
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapenahanan'] = $this->template->getDataPenahananTerdakwa($idperkara,$idpihak);
    
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        if ($data['jnstmp']==1) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','9','');
        }elseif ($data['jnstmp']==2) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','10','');
        }
        $this->load->view('generate_template/cetak_penetapan_penolakan_perpanjangan_tahanan',$data,FALSE);
    }

    function popup_penetapan_pengalihan_penahanan_permohonan() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['enctahan']=$this->uri->segment('4');
        $data['encpihak']=$this->uri->segment('5');
        $data['jnstmp']=$this->uri->segment('6');
        if(!is_numeric($data['jnstmp']) OR !intval($data['jnstmp'])>0){
            show_404();
            exit();
        }
        $data['curr_date'] = date('d/m/Y');

        $this->load->model('generate_template/m_template_penetapan','template');
        $data['tglPendaftaran']=$this->template->getDataPerkara($idperkara)->row()->tanggal_pendaftaran;

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');   
        if($data['jnstmp']==1){
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','7','');
        }else{
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','8','');
        }
        $this->load->view('generate_template/popup_penetapan_pengalihan_penahanan', $data, FALSE);          
    }

    function cetak_penetapan_pengalihan_penahanan_permohonan() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc'] = $this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }

        $data['encpihak'] = $this->input->post('encpihak',TRUE);
        $idpihak=$this->encrypt->decode(base64_decode($data['encpihak']));
        if(!is_numeric($idpihak) OR !intval($idpihak)>0){
             show_404();
             exit();
        }

        $data['jnstmp'] = $this->input->post('jnstmp',TRUE);
        $data['tgl_penetapan'] = $this->input->post('tgl_penetapan',TRUE);
        $data['tahanansebelumnya']=$this->input->post('tahanansebelumnya',TRUE);
        $data['menjaditahanan']=$this->input->post('menjaditahanan',TRUE);
        $data['tgl_berakhir'] = $this->input->post('tgl_berakhir',TRUE);

        $this->load->model('generate_template/m_template_penetapan','template');
        $data['datapengadilan'] = $this->template->getDataPN();
        $data['datapenetapanhakim']=$this->template->getDataPenetapanHakim($idperkara);
        $data['dataterdakwa'] = $this->template->getDataPihakTerdakwa1($idperkara,$idpihak);
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapenahanan'] = $this->template->getDataPenahananTerdakwa($idperkara,$idpihak);
        
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        if ($data['jnstmp']==1) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','7','');
        }else{
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','8','');
        }
        $this->load->view('generate_template/cetak_penetapan_pengalihan_penahanan',$data,FALSE);
    }

    function popup_penetapan_perpanjangan_penahanan() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['enctahan']=$this->uri->segment('4');
        $data['encpihak']=$this->uri->segment('5');
        $idpihak=$this->encrypt->decode(base64_decode($data['encpihak']));
        if(!is_numeric($idpihak) OR !intval($idpihak)>0){
            show_404();
            exit();
        }
        $data['jnstmp']=$this->uri->segment('6');
        $data['curr_date'] = date('d/m/Y');
        
        $this->load->model('generate_template/m_template_penetapan','template');
        $data['penandatangan']=$this->template->getDataPN();
        foreach ($data['penandatangan']->result() as $config){
              $data['plhKetua'] =$config->PlhKetua;
              $data['pltKetua'] =$config->PltKetua;              
        }
        $data['tglPendaftaran']=$this->template->getDataPerkara($idperkara)->row()->tanggal_pendaftaran;
        
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');
        if ($data['jnstmp']==1) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','11','');
        }elseif ($data['jnstmp']==2) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','12','');
        }elseif ($data['jnstmp']==3) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','13','');
        }elseif ($data['jnstmp']==4) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','14','');
        }elseif ($data['jnstmp']==5) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','15','');
        }elseif ($data['jnstmp']==6) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','16','');
        }elseif ($data['jnstmp']==7) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','17','');
        }elseif ($data['jnstmp']==8) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','18','');
        }
        $this->load->view('generate_template/popup_penetapan_perpanjangan_penahanan', $data, FALSE);          
    }

    function cetak_penetapan_perpanjangan_penahanan() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc'] = $this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['enctahan'] = $this->input->post('enctahan',TRUE);
        $idpenahanan=$this->encrypt->decode(base64_decode($data['enctahan']));
        if(!is_numeric($idpenahanan) OR !intval($idpenahanan)>0){
             show_404();
             exit();
        }
        $data['encpihak'] = $this->input->post('encpihak',TRUE);
        $idpihak=$this->encrypt->decode(base64_decode($data['encpihak']));
        if(!is_numeric($idpihak) OR !intval($idpihak)>0){
             show_404();
             exit();
        }
        $data['jnstmp'] = $this->input->post('jnstmp',TRUE);
        $data['tgl_penetapan'] = $this->input->post('tgl_penetapan',TRUE);
        $data['enctahan'] = $this->input->post('enctahan',TRUE);
        $data['ttd_penetapan'] = $this->input->post('ditetapkanoleh',TRUE);
       
        $this->load->model('generate_template/m_template_penetapan','template');
        $data['jenistahanan']=$this->template->getDataPenahanan($idpenahanan)->row()->jenis_tahanan.' '.$this->template->getDataPenahanan($idpenahanan)->row()->nama;
        $data['tgl_sejak']=$this->template->getDataPenahanan($idpenahanan)->row()->mulai;
        $tglMulai=$this->template->getDataPenahanan($idpenahanan)->row()->mulai;
        $data['tgl_sampai']=$this->template->getDataPenahanan($idpenahanan)->row()->sampai;
        $data['datapengadilan'] = $this->template->getDataPN();
        $data['datapenetapanhakim']=$this->template->getDataPenetapanHakim($idperkara);
        $data['dataterdakwa'] = $this->template->getDataPihakTerdakwa1($idperkara,$idpihak);
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapenahanan'] = $this->template->get_data_penahanan($idperkara,$idpihak,$tglMulai);
        $data['namaKejaksaan'] = $this->template->getKejaksaan($idperkara)->row()->kejaksaan;

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        if ($data['jnstmp']==1) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','11','');
        }elseif ($data['jnstmp']==2) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','12','');
        }elseif ($data['jnstmp']==3) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','13','');
        }elseif ($data['jnstmp']==4) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','14','');
        }elseif ($data['jnstmp']==5) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','15','');
        }elseif ($data['jnstmp']==6) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','16','');
        }elseif ($data['jnstmp']==7) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','17','');
        }elseif ($data['jnstmp']==8) {
            $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','18','');
        }
        $this->load->view('generate_template/cetak_penetapan_perpanjangan_penahanan',$data,FALSE);
    }

    function popup_penetapan_ijin_meninggalkan_atau_keluar_tahanan() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['enctahan']=$this->uri->segment('4');
        $data['encpihak']=$this->uri->segment('5');
        $data['curr_date'] = date('d/m/Y');

        $this->load->model('generate_template/m_template_penetapan','template');
        $data['tglPendaftaran']=$this->template->getDataPerkara($idperkara)->row()->tanggal_pendaftaran;
        
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','19','');
        $this->load->view('generate_template/popup_penetapan_ijin_meninggalkan_atau_keluar_tahanan', $data, FALSE);          
    }

   function cetak_penetapan_ijin_meninggalkan_atau_keluar_tahanan() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc'] = $this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['encpihak'] = $this->input->post('encpihak',TRUE);
        $idpihak=$this->encrypt->decode(base64_decode($data['encpihak']));
        if(!is_numeric($idpihak) OR !intval($idpihak)>0){
             show_404();
             exit();
        }
        $data['tgl_penetapan'] = $this->input->post('tgl_penetapan',TRUE);

        $this->load->model('generate_template/m_template_penetapan','template');
        $data['datapengadilan'] = $this->template->getDataPN();
        $data['datapenetapanhakim']=$this->template->getDataPenetapanHakim($idperkara);
        $data['dataterdakwa'] = $this->template->getDataPihakTerdakwa1($idperkara,$idpihak);
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapenahanan'] = $this->template->getDataPenahananTerdakwa($idperkara,$idpihak);

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $data['template']=$this->template2->getDataDocumentTemplate('111','12','200','19','');
        $this->load->view('generate_template/cetak_penetapan_ijin_meninggalkan_atau_keluar_tahanan',$data,FALSE);
    }  

    function popup_penetapan_penahanan_hakim_pn(){
         if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['enctahan']=$this->uri->segment('4');
        $data['encpihak']=$this->uri->segment('5');
        $data['jnstmp']=$this->uri->segment('6');
        $data['curr_date'] = date('d/m/Y');

        $this->load->model('generate_template/m_template_penetapan','template');
        $data['tglPendaftaran']=$this->template->getDataPerkara($idperkara)->row()->tanggal_pendaftaran;
              
        if($data['jnstmp']==1){         
            $data['judul']= 'PENETAPAN PERPANJANGAN PENAHANAN HAKIM PN <br/> PERKARA PIDANA';
        }elseif($data['jnstmp']==2){            
            $data['judul']= 'PENETAPAN PERPANJANGAN PENAHANAN HAKIM PN <br/> PERKARA PERIKANAN';
        }elseif($data['jnstmp']==3){
            $data['judul']= 'PENETAPAN PERPANJANGAN PENAHANAN HAKIM PN <br/> PERKARA HAM';
        }elseif($data['jnstmp']==4){
            $data['judul']= 'PENETAPAN PERPANJANGAN PENAHANAN HAKIM PN <br/> PERKARA PIDANA ANAK';
        }
        $this->load->view('generate_template/umum/penetapan/popup_penetapan_hakim_pn', $data, FALSE);  
    }

    function cetak_penetapan_perpanjangan_penahanan_hakim_pn() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $idperkara=$this->encrypt->decode(base64_decode($this->input->post('enc',TRUE)));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }

        $penahanan_id = $this->encrypt->decode(base64_decode($this->input->post('enctahan',TRUE)));
        if(!is_numeric($penahanan_id) OR !intval($penahanan_id)>0){
            show_404();
            exit();
        }   

        $pihak_id=$this->encrypt->decode(base64_decode($this->input->post('encpihak',TRUE)));
        if(!is_numeric($pihak_id) OR !intval($pihak_id)>0){
             show_404();
             exit();
        }

        $jenis_tmp=$this->input->post('jnstmp',TRUE);
        if(!is_numeric($jenis_tmp) OR !intval($jenis_tmp)>0){
             show_404();
             exit();
        }

        $tgl_penetapan_penangguhan = $this->input->post('tgl_penetapan',TRUE);

        if($jenis_tmp==1){
            $filenya = 'peradilan_umum/pidana/penetapan/7_1_PEN_PENAHANAN_HAKIM_PN.rtf';
        }elseif($jenis_tmp==2){
            $filenya = 'peradilan_umum/pidana/penetapan/7_1_PEN_PENAHANAN_HAKIM_PN_PERIKANAN.rtf';
        }elseif($jenis_tmp==3){
            $filenya = 'peradilan_umum/pidana/penetapan/7_1_PEN_PENAHANAN_HAKIM_PN_HAM.rtf';
        }elseif($jenis_tmp==4){
            $filenya = 'peradilan_umum/pidana/penetapan/7_1_PEN_PENAHANAN_HAKIM_PN_ANAK.rtf';
        }
        
        $data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,
                    'penahanan_id'=>$penahanan_id,
                    'pihak_id'=>$pihak_id,
                    'tgl_penetapan_perpanjangan'=>$tgl_penetapan_penangguhan,
                    'id_jenis_penahanan'=>7);   
                            
        $this->load->model('generate_template/var_template','var_template');
        $this->var_template->kirim_variabel($data_id);
    }


}
?>